mbed TLS v2.16.5

Data Fields
mbedtls_sha1_context Struct Reference

The SHA-1 context structure. More...

`#include <sha1.h>`

## Data Fields
uint32_t | total [2]
uint32_t | state [5]
unsigned char | buffer [64]

## Detailed Description

The SHA-1 context structure.

Warning
  SHA-1 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition at line 63 of file sha1.h.

## Field Documentation

## ◆ buffer

unsigned char mbedtls_sha1_context::buffer[64]

The data block being processed.

Definition at line 67 of file sha1.h.

## ◆ state

uint32_t mbedtls_sha1_context::state[5]

The intermediate digest state.

Definition at line 66 of file sha1.h.

## ◆ total

uint32_t mbedtls_sha1_context::total[2]

The number of Bytes processed.

Definition at line 65 of file sha1.h.

The documentation for this struct was generated from the following file:

- sha1.h